package com.tencent.mm.plugin.voip.model.a;

import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.ai.b.a;
import com.tencent.mm.ai.f;
import com.tencent.mm.protocal.protobuf.cpl;
import com.tencent.mm.protocal.protobuf.cpm;
import com.tencent.mm.sdk.platformtools.ab;

public final class e extends n<cpl, cpm> {
    public e(int i, long j, String str) {
        AppMethodBeat.i(4710);
        a aVar = new a();
        aVar.fsJ = new cpl();
        aVar.fsK = new cpm();
        aVar.uri = "/cgi-bin/micromsg-bin/voipgetroominfo";
        aVar.fsI = 303;
        aVar.fsL = 119;
        aVar.fsM = 1000000119;
        this.ehh = aVar.acD();
        cpl cpl = (cpl) this.ehh.fsG.fsP;
        cpl.wem = i;
        cpl.wen = j;
        cpl.xmT = str;
        cpl.jCt = 1;
        cpl.xlQ = System.currentTimeMillis();
        AppMethodBeat.o(4710);
    }

    public final int getType() {
        return 303;
    }

    public final void fW(int i, int i2) {
        AppMethodBeat.i(4711);
        if (i == 0 && i2 == 0) {
            if (((cpm) cKx()) != null) {
                ab.i("MicroMsg.Voip.GetRoomInfo", "roomId:%d, roomKey:%s, memberCount:%d, inviteType:%d", new Object[]{Integer.valueOf(((cpm) cKx()).wem), Long.valueOf(((cpm) cKx()).wen), Integer.valueOf(((cpm) cKx()).ehB), Integer.valueOf(((cpm) cKx()).xmL)});
            }
            AppMethodBeat.o(4711);
            return;
        }
        ab.i("MicroMsg.Voip.GetRoomInfo", "Get RoomInfo error");
        AppMethodBeat.o(4711);
    }

    public final f cKt() {
        AppMethodBeat.i(4712);
        1 1 = new 1(this);
        AppMethodBeat.o(4712);
        return 1;
    }
}
